/*
 *				a n y . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	any	Pattern Match -- Match Member of a Character Set
index		Pattern match -- match member of a character set

synopsis

	 #ifdef vms
	 #include "c:cset.h"
	 #else
	 #include <cset.h>
	 #endif

	 char *
	 any(s,cs)
	 char s[];
	 CSET *cs;

description

	Any() matches, returning a pointer to the second character of s, if
	the first character of s is a member of cs.  Otherwise, it returns
	NULL.

	The null that terminates s is never considered to be a member of the
	cset, and is never matched; NULL is returned.

	Those familiar with SNOBOL should note that there is no notany() -
	the same effect can be obtained by using any() with cscomp(cs).

bugs

author

	Jerry Leichter

#endif

/*
)EDITLEVEL=02
 * Edit history
 * 0.0 19-Jul-82 JSL	Invention
 */

#ifdef vms
#include "c:cset.h"
#else
#include <cset.h>
#endif

#define NULL 0

char *
any(s,cs)
register char *s;
CSET *cs;
{
	if (*s && csmember(cs,*s))
		return(s+1);
	else
		return(NULL);
}
